Mercer County Permits

Welcome, Guest!
Log in | Sign up
 
Font Size:
Moving Workover Rigs & Crane Permit# 2021-02361, UID# 3001
App. Status: Expired

Valid: 03/13/2021 - 03/16/2021
Mercer County Highway Department
1809 7th ST NE
Beulah, ND 58523-0412
(701)873-5586
 

Terms

General
  • The applicant or permittee, as a condition for obtaining an over-sized or overweight, or both, permit, shall assume all responsibility for accidents, damage, or injury to any persons or damage to public or private property caused by the movement of any oversize of overweight, or both , vehicle or load covered by the permit while upon Mercer County roadways. The applicant or permitee agrees to indemnify and hold harmless the Mercer County Sheriff's Office, County of Mercer, their officers, and employees from any and all claims resulting directly or indirectly from the movement of an oversize or overweight, or both, vehicle or load on any Mercer County Roadway.

  • This permit to be carried on vehicle during the above-mentioned movement . This permit shall be open to inspection by any peace officer.

  • Payment for permit must be submitted after approval.

Invoice #2704 (03/12/2021)

Charge Cost Quantity Total
Non-Taxable
added 03/12/2021 4:51 PM

Workover Rigs & Cranes 100,001 - 110,000 lbs

$60.00 x 1 $60.00
added 03/12/2021 4:51 PM

Select this fee if the empty load is overwidth. Additional fees will be applied during review of the application. **Do not pay until you have received an email that your permit has been approved.**

$30.00 x 1 $30.00
Grand Total
Total $90.00
Payment 03/12/2021$90.00
Due$0.00
Action: Print  

Approvals

ApprovalSignatureOptions
ApplicantJared Huffines - 03/12/2021 4:43 PM
a2cec87beeac7892409db987e201b435
c11335e45a3c10be1dc4f3c4f9c220f9
 
#1 Permit Issuing OfficialElroy Opp - 03/12/2021 4:52 PM
5a342c5020f16c9d7ec02a408fa97582
eec9fea0c2b99bac4eb4ba6e81885810
 
Permit has been approved. All signatures have been obtained.